# Generated from puts_debuggerer-0.13.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puts_debuggerer

Name: rubygem-%{gem_name}
Version: 0.13.1
Release: 1%{?dist}
Summary: Ruby library for improved puts debugging, automatically displaying bonus useful information such as source line number and source code
License: MIT
URL: http://github.com/AndyObtiva/puts_debuggerer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(rspec) < 3.6
# BuildRequires: rubygem(rspec-mocks) >= 3.5.0
# BuildRequires: rubygem(rspec-mocks) < 3.6
# BuildRequires: rubygem(jeweler) >= 2.3.9
# BuildRequires: rubygem(jeweler) < 2.4
# BuildRequires: rubygem(coveralls) = 0.8.23
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(simplecov-lcov) >= 0.7.0
# BuildRequires: rubygem(simplecov-lcov) < 0.8
# BuildRequires: rubygem(logging) >= 2.3.0
# BuildRequires: rubygem(rake-tui)
BuildArch: noarch

%description
Debuggers are great! They help us troubleshoot complicated programming
problems by inspecting values produced by code, line by line. They are
invaluable when trying to understand what is going on in a large application
composed of thousands or millions of lines of code.
In day-to-day test-driven development and simple debugging though, a puts
statement can be a lot quicker in revealing what is going on than halting
execution completely just to inspect a single value or a few. This is
certainly true when writing the simplest possible code that could possibly
work, and running a test every few seconds or minutes. Problem is you need to
locate puts statements in large output logs, know which methods were invoked,
find out what variable names are being printed, and see nicely formatted
output. Enter puts_debuggerer. A guilt-free puts debugging Ruby gem FTW that
prints file names, line numbers, code statements, and formats output nicely
courtesy of awesome_print.
Partially inspired by this blog post:
https://tenderlovemaking.com/2016/02/05/i-am-a-puts-debuggerer.html (Credit to
Tenderlove.).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.13.1-1
- Initial package
